List incidents
List existing incidents.
An incident represents a problem or an issue that needs to be addressed and resolved.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page. Maximum of 100.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseWhen set to all, the since and until parameters and defaults are ignored.
Value in
- "all"
Incident de-duplication key. Incidents with child alerts do not have an incident key; querying by incident key will return incidents whose alerts have alert_key matching the given incident key.
Returns only the incidents associated with the passed service(s). This expects one or more service IDs.
An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
Returns only the incidents currently assigned to the passed user(s). This expects one or more user IDs. Note: When using the assigned_to_user filter, you will only receive incidents with statuses of triggered or acknowledged. This is because resolved incidents are not assigned to any user.
Array of the urgencies of the incidents to be returned. Defaults to all urgencies. Account must have the urgencies ability to do this.
Value in
- "high"
- "low"
Time zone used to render timestamps and to interpret since/until values before filtering. Rendering defaults to UTC if omitted. since/until default to the account's time zone if omitted.
tzinfoReturn only incidents with the given statuses. To query multiple statuses, pass statuses[] more than once, for example: https://api.pagerduty.com/incidents?statuses[]=triggered&statuses[]=acknowledged. (More status codes may be introduced in the future.)
Value in
- "triggered"
- "acknowledged"
- "resolved"
Used to specify both the field you wish to sort the results on (incident_number/created_at/resolved_at/urgency), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending. The account must have the urgencies ability to sort by the urgency.
items <= 2Array of additional details to include.
Value in
- "acknowledgers"
- "agents"
- "assignees"
- "conference_bridge"
- "escalation_policies"
- "first_trigger_log_entries"
- "priorities"
- "services"
- "teams"
- "users"
The start of the date range over which you want to search. Maximum range is 6 months and default is 1 month.
The end of the date range over which you want to search. Maximum range is 6 months and default is 1 month.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json